# Uses of Enum Class
org.bukkit.Statistic

Packages that use Statistic
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of Statistic in org.bukkit

Fields in org.bukkit with type parameters of type Statistic
Modifier and Type
Field
Description
`static final Registry<Statistic>`
Registry.`STATISTIC`
Server statistics.
Methods in org.bukkit that return Statistic
Modifier and Type
Method
Description
`static Statistic`
Statistic.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statistic[]`
Statistic.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type Statistic
Modifier and Type
Method
Description
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic)`
Decrements the given statistic for this player.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, int amount)`
Decrements the given statistic for this player.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Decrements the given statistic for this player for the given entity.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int amount)`
Decrements the given statistic for this player for the given entity.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull Material material)`
Decrements the given statistic for this player for the given material.
`void`
OfflinePlayer.`decrementStatistic(@NotNull Statistic statistic, @NotNull Material material, int amount)`
Decrements the given statistic for this player for the given material.
`int`
OfflinePlayer.`getStatistic(@NotNull Statistic statistic)`
Gets the value of the given statistic for this player.
`int`
OfflinePlayer.`getStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Gets the value of the given statistic for this player.
`int`
OfflinePlayer.`getStatistic(@NotNull Statistic statistic, @NotNull Material material)`
Gets the value of the given statistic for this player.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic)`
Increments the given statistic for this player.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, int amount)`
Increments the given statistic for this player.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Increments the given statistic for this player for the given entity.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int amount)`
Increments the given statistic for this player for the given entity.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull Material material)`
Increments the given statistic for this player for the given material.
`void`
OfflinePlayer.`incrementStatistic(@NotNull Statistic statistic, @NotNull Material material, int amount)`
Increments the given statistic for this player for the given material.
`void`
OfflinePlayer.`setStatistic(@NotNull Statistic statistic, int newValue)`
Sets the given statistic for this player.
`void`
OfflinePlayer.`setStatistic(@NotNull Statistic statistic, @NotNull EntityType entityType, int newValue)`
Sets the given statistic for this player for the given entity.
`void`
OfflinePlayer.`setStatistic(@NotNull Statistic statistic, @NotNull Material material, int newValue)`
Sets the given statistic for this player for the given material.

## Uses of Statistic in org.bukkit.event.player

Fields in org.bukkit.event.player declared as Statistic
Modifier and Type
Field
Description
`protected final Statistic`
PlayerStatisticIncrementEvent.`statistic`
Methods in org.bukkit.event.player that return Statistic
Modifier and Type
Method
Description
`@NotNull Statistic`
PlayerStatisticIncrementEvent.`getStatistic()`
Gets the statistic that is being incremented.
Constructors in org.bukkit.event.player with parameters of type Statistic
Modifier
Constructor
Description
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull EntityType entityType)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull Material material)`

## Uses of Statistic in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard with parameters of type Statistic
Modifier and Type
Method
Description
`static @NotNull Criteria`
Criteria.`statistic(@NotNull Statistic statistic)`
Get a `Criteria` for the specified statistic.
`static @NotNull Criteria`
Criteria.`statistic(@NotNull Statistic statistic, @NotNull EntityType entityType)`
Get a `Criteria` for the specified statistic pertaining to an entity type.
`static @NotNull Criteria`
Criteria.`statistic(@NotNull Statistic statistic, @NotNull Material material)`
Get a `Criteria` for the specified statistic pertaining to blocks or items.